public class ExpectException extends GroovyTestCase
{
  def divide(a, b)
  {
    a/b
  }

  void testExpectExceptionUsingTry()
  {
    try
    {
      divide(2, 0)
      fail "Expected ArithmeticException ..."
    }
    catch(ArithmeticException ex)
    {
      assertTrue true // Success
    }
  }

  void testExpectException()
  {
// GROOVY WAY: Any of the following
    shouldFail { divide(2, 0) }

    shouldFail(ArithmeticException) { divide(2, 0) }

    shouldFail ArithmeticException, { divide(2, 0) }
  }
}
